// creator  : weidu.exe (version 23100)
// argument : _MYSMER.DLG
// game		 : .
// source	 : ./override/_MYSMER.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_MYSMER~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #77166 /* ~An explorer of the lands seeking wonders and oddities.  Well, both I have.  Unfortunately I paid thrice the price for my iron wares, and not a piece is salable!  Mayhaps the guard will take more notice when old swords wear and the new snap like twigs in autumn.  Nevertheless, you came here to buy and I do have something special just for you.  These potions are strange magic from a distant shore.  A swallow of the violet and a Titan's might shall possess you; ever after exceptional strength is yours.  Drink down the red mix and your insights will rival Elminster, your clarity of thought indefinitely enhanced.  To you I offer them at the bargain price of 50 gold apiece, as restitution for my depleted selection.  If they do not perform as I have promised, your money I will courteously refund.  Will you relieve my hands of the violet?~ */
  IF ~PartyGoldGT(99)
~ THEN REPLY #77167 /* ~If it does what you say, I'll gladly take it.~ */ DO ~SetGlobal("BoughtPotions","GLOBAL",1)
GiveItem("_POTN16",LastTalkedToBy)
TakePartyGold(50)
~ JOURNAL #77168 /* ~A merchant sold me a potion of strength at the Nashkel fair for only 50 gold!  Such a bargain!~ */ GOTO 2
  IF ~~ THEN REPLY #77170 /* ~A titan's might, hmm?  I'm not really interested.  I only have enough money for one potion.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #77171 /* ~No?  Such a grand gift as this and you would refuse?  Please confirm that I have not offended you by at least accepting the red elixir.  Steal it from under my own eyes for 40 gold.~ */
  IF ~PartyGoldGT(39)
~ THEN REPLY #77172 /* ~That is an excellent deal if true.  I'll take the red elixir.~ */ DO ~SetGlobal("BoughtPotions","GLOBAL",1)
GiveItem("_POTN15",LastTalkedToBy)
TakePartyGold(40)
~ JOURNAL #77173 /* ~A merchant sold me a potion of intelligence at the Nashkel fair for only 50 gold!  Cheap at twice the price!~ */ GOTO 3
  IF ~~ THEN REPLY #77175 /* ~I don't think I'll risk either of your "gifts" today.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #77176 /* ~Already you must feel stronger just holding it in your hand.  Yes, your packs weigh lightly upon your shoulders.  Will you convince me of your satisfaction by purchasing the red elixir?~ */
  IF ~PartyGoldGT(49)
~ THEN REPLY #77177 /* ~Your first potion seems genuine enough.  I'll take the second as well!~ */ DO ~SetGlobal("BoughtPotions","GLOBAL",2)
GiveItem("_POTN15",LastTalkedToBy)
TakePartyGold(50)
~ JOURNAL #77173 /* ~A merchant sold me a potion of intelligence at the Nashkel fair for only 50 gold!  Cheap at twice the price!~ */ GOTO 3
  IF ~~ THEN REPLY #77178 /* ~Uh, I feel much stronger, but I don't think I'll buy your red potion.  I'm pretty smart now, anyway.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0 1.0
  SAY #77179 /* ~Your eyes grow wide with the light of knowledge.  Go forth now and I will enjoy the satisfaction of future great deeds done with my assistance.  Ample compensation for practically giving merchandise away.  Out, everyone out!  You have picked me clean!  I can afford no more good deeds this day!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77180 /* ~Troubles in the region

Today I have met a strange and very generous merchant in Nashkel.  VERY eager to aid me he was.  He also mentioned a problem with his iron items being brittle for some reason.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #77181 /* ~No?  Please say I have not offended you in some manner!  Ahh well, at least I will have the satisfaction of knowing that the glorious deeds you will surely accomplish, are in some measure due to the good will I have shown today.  Out, all of you, out!  My coffers can ill afford anymore charity!  Thank you everyone for your patronage, now out!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77180 /* ~Troubles in the region

Today I have met a strange and very generous merchant in Nashkel.  VERY eager to aid me he was.  He also mentioned a problem with his iron items being brittle for some reason.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.1
  SAY #77182 /* ~You insult me by refusing my hospitality; I have done with you.  Leave, and darken my humble tent no longer with your sour presence.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77183 /* ~Troubles in the region

I crossed the path of a strange merchant in Nashkel today.  Very eager to be generous.  Perhaps a touch too eager for my liking.  He also mentioned a problem with his iron items being quite brittle.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #77184 /* ~I permit no loitering in my place of business.  Get yourself hence, lest I summon the local guard as an escort.~ */
  IF ~~ THEN EXIT
END

IF ~Global("BoughtPotions","GLOBAL",0)
~ THEN BEGIN 7 // from:
  SAY #77184 /* ~I permit no loitering in my place of business.  Get yourself hence, lest I summon the local guard as an escort.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 8 // from:
  SAY #77185 /* ~No refunds on any items purchased.  Sorry.~ */
  IF ~~ THEN EXIT
END
